#95482 Report by node docker-deb-ubuntu_17_10_artful_32bit covering 1974 tests from 54 modules resulted into 7 errors

Report

ObsPy Version
1.1.0.post0+209.gcb920d9fd3...
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
578.5 sec
Report Date/Time
2018-05-15 16:01:07

System / Python

Architecture
32bit
Machine
x86_64
Node
docker-deb-ubuntu_17_10_artful_32bit
Processor
x86_64
Python Compiler
GCC 7.2.0
Python Implementation
CPython
Python Version
3.6.3
Release
4.4.0-122-generic
System
Linux
Version
#146-Ubuntu SMP Mon Apr 23 15:34:04 UTC 2018

Dependencies

cartopy
---
decorator
4.1.1
flake8
3.2.1
future
0.15.2
geographiclib
1.48
lxml.etree
4.0.0
m2crypto
---
matplotlib
2.0.0
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.12.1
pep8-naming
---
pyflakes
1.5.0
pyimgur
0.5.3
pyproj
1.9.5.1
requests
2.18.1
scipy
0.18.1
setuptools
36.2.7
shapefile
1.2.11
sqlalchemy
1.1.9

Modules (54)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink 2 1 2
obspy.clients.earthworm 3 3 4 5
obspy.clients.fdsn - -
obspy.clients.filesystem - -
obspy.clients.iris 2 6 7
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink - -
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 7 7

Tracebacks (7)

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/tests/test_client.py", line 574, in test_save_waveform_compressed
end, format="FSEED", unpack=False)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 565, in save_waveforms
data = self._fetch(rtype, rdata, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 260, in _fetch
return self._request(request_type, request_data)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/tests/test_client.py", line 545, in test_save_waveform_no_compression
end, format='FSEED')
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 565, in save_waveforms
data = self._fetch(rtype, rdata, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 225, in _fetch
endtime=request_data[1])
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 622, in get_routing
result = self._fetch(rtype, rdata, route=False)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.earthworm.client.Client.get_availability
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 170, in get_availability
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 196, in obspy.clients.earthworm.client.Client.get_availability
Failed example:
response = client.get_availability(
network="AV", station="ACH", channel="EH*")
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.client.Client.get_availability[2]>", line 2, in <module>
network="AV", station="ACH", channel="EH*")
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 224, in get_availability
response = get_menu(self.host, self.port, timeout=self.timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 221, in get_menu
r = get_sock_char_line(sock, timeout=timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 168, in get_sock_char_line
indat = sock.recv(1)
ConnectionResetError: [Errno 104] Connection reset by peer
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 198, in obspy.clients.earthworm.client.Client.get_availability
Failed example:
print(response) # doctest: +ELLIPSIS +NORMALIZE_WHITESPACE
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.client.Client.get_availability[3]>", line 1, in <module>
print(response) # doctest: +ELLIPSIS +NORMALIZE_WHITESPACE
NameError: name 'response' is not defined
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.earthworm.client.Client.get_waveforms
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 50, in get_waveforms
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 82, in obspy.clients.earthworm.client.Client.get_waveforms
Failed example:
st = client.get_waveforms('AV', 'ACH', '', 'EHE', dt, dt + 10)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.client.Client.get_waveforms[3]>", line 1, in <module>
st = client.get_waveforms('AV', 'ACH', '', 'EHE', dt, dt + 10)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 113, in get_waveforms
cleanup=cleanup)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 266, in read_wave_server_v
r = get_sock_char_line(sock, timeout=timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 168, in get_sock_char_line
indat = sock.recv(1)
ConnectionResetError: [Errno 104] Connection reset by peer
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 84, in obspy.clients.earthworm.client.Client.get_waveforms
Failed example:
st = client.get_waveforms('AV', 'ACH', '', 'EH*', dt, dt + 10)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.client.Client.get_waveforms[5]>", line 1, in <module>
st = client.get_waveforms('AV', 'ACH', '', 'EH*', dt, dt + 10)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 105, in get_waveforms
cleanup=cleanup)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 113, in get_waveforms
cleanup=cleanup)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 266, in read_wave_server_v
r = get_sock_char_line(sock, timeout=timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 168, in get_sock_char_line
indat = sock.recv(1)
ConnectionResetError: [Errno 104] Connection reset by peer
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.earthworm.__init__
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 1, in __init__
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 21, in obspy.clients.earthworm.__init__
Failed example:
response = client.get_availability('AV', 'ACH', channel='EHE')
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.__init__[2]>", line 1, in <module>
response = client.get_availability('AV', 'ACH', channel='EHE')
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 224, in get_availability
response = get_menu(self.host, self.port, timeout=self.timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 221, in get_menu
r = get_sock_char_line(sock, timeout=timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 168, in get_sock_char_line
indat = sock.recv(1)
ConnectionResetError: [Errno 104] Connection reset by peer
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 29, in obspy.clients.earthworm.__init__
Failed example:
t = response[0][4]
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.__init__[4]>", line 1, in <module>
t = response[0][4]
NameError: name 'response' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 30, in obspy.clients.earthworm.__init__
Failed example:
st = client.get_waveforms('AV', 'ACH', '', 'EH*', t + 100, t + 130)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.__init__[5]>", line 1, in <module>
st = client.get_waveforms('AV', 'ACH', '', 'EH*', t + 100, t + 130)
NameError: name 't' is not defined
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.6/urllib/request.py", line 223, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.6/urllib/request.py", line 532, in open
response = meth(req, response)
File "/usr/lib/python3.6/urllib/request.py", line 642, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.6/urllib/request.py", line 570, in error
return self._call_chain(*args)
File "/usr/lib/python3.6/urllib/request.py", line 504, in _call_chain
result = func(*args)
File "/usr/lib/python3.6/urllib/request.py", line 650, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/tests/test_client.py", line 256, in test_timeseries
filter=["correct"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.iris.client.Client.timeseries
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 177, in timeseries
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 318, in obspy.clients.iris.client.Client.timeseries
Failed example:
st = client.timeseries("IU", "ANMO", "00", "BHZ", dt, dt+10,
filter=["correct", "demean", "lp=2.0"])
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.6/urllib/request.py", line 223, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.6/urllib/request.py", line 532, in open
response = meth(req, response)
File "/usr/lib/python3.6/urllib/request.py", line 642, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.6/urllib/request.py", line 570, in error
return self._call_chain(*args)
File "/usr/lib/python3.6/urllib/request.py", line 504, in _call_chain
result = func(*args)
File "/usr/lib/python3.6/urllib/request.py", line 650, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.iris.client.Client.timeseries[6]>", line 2, in <module>
filter=["correct", "demean", "lp=2.0"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 320, in obspy.clients.iris.client.Client.timeseries
Failed example:
print(st[0].data) # doctest: +ELLIPSIS
Expected:
[ -1.57488682e-06 -1.26318002e-06 -7.84807128e-07 ...
Got:
[ 24 20 19 19 19 15 10 4 -4 -11 -19 -26 -35 -48 -60
-72 -83 -95 -109 -121 -133 -147 -162 -179 -195 -208 -221 -238 -256 -272
-285 -301 -314 -324 -333 -341 -350 -358 -365 -370 -376 -378 -378 -380 -381
-381 -378 -376 -374 -370 -364 -359 -356 -352 -345 -337 -331 -328 -323 -316
-310 -305 -301 -295 -290 -289 -283 -275 -271 -269 -267 -263 -258 -257 -253
-248 -243 -240 -239 -237 -233 -229 -224 -218 -211 -208 -205 -202 -200 -195
-191 -185 -181 -180 -179 -177 -177 -177 -176 -176 -179 -183 -185 -187 -189
-192 -198 -204 -210 -216 -220 -227 -235 -241 -247 -253 -262 -270 -277 -284
-294 -304 -313 -323 -332 -340 -345 -350 -355 -358 -361 -364 -369 -372 -371
-372 -374 -373 -368 -364 -362 -357 -349 -344 -338 -331 -320 -311 -302 -291
-280 -268 -255 -243 -231 -218 -203 -187 -173 -160 -147 -132 -119 -108 -97
-86 -73 -62 -54 -48 -42 -37 -33 -29 -27 -27 -25 -26 -27 -29
-31 -30 -31 -36 -40 -44 -52 -59 -68 -77 -83 -89 -95 -101 -108
-116 -123 -130 -141 -150]

Skipped Tests (31)

Submodule Test Skip Message
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) PyCrypto is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) flake8 check disabled
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
32.557s test_save_waveform_no_compression (obspy.clients.arclink.tests.test_client.ClientTestCase)
31.480s test_save_waveform_compressed (obspy.clients.arclink.tests.test_client.ClientTestCase)
22.068s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
14.867s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
12.206s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
10.994s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
10.074s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.507s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
9.500s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.393s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
9.376s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
8.369s test_eida_token_resolution (obspy.clients.fdsn.tests.test_client.ClientTestCase)
8.128s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
7.977s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
6.346s test_get_stations (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.340s test_get_stations_integration_test (obspy.clients.fdsn.tests.test_federator_routing_client.FederatorRoutingClientTestCase)
6.303s test_delayed_request (obspy.clients.arclink.tests.test_client.ClientTestCase)
5.970s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)
5.748s test_issue_372 (obspy.clients.arclink.tests.test_client.ClientTestCase)
5.739s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)

Chuck Norris Fact

The Chuck Norris Eclipse plugin made alien contact.